Retrieves destination based on IATA code

Retrieves destination based on IATA code

get
https://api.schiphol.nl/public/public-flights/v4/destinations/{iata}

Path Parameters

iatastringrequired

IATA code

>= 3 characters<= 3 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

Response

application/json

OK

Destination

Destination served by flights to or from Amsterdam Airport Schiphol.

citystring

City name in English. Example: Venice.

countrystring

Name of the country where the destination is located, in English.

iatastring

Three-letter IATA code of the destination airport. Example: VCE.

publicNameobject

Public names of the destination.

Show Child Parameters
get/destinations/{iata}
 
application/json

RowType

object

Check-in row allocated to the flight.

positionstring

Position of the check-in row.

desksobject

Check-in desks in the row.

Show Child Parameters
Example

BaggageClaimType

object

Baggage reclaim information for an arriving flight.

beltsarray[string]

Baggage reclaim belts where arriving passengers can collect their luggage.

Example

RemarksType

object

Remarks about the check-in allocations.

remarksarray[string]

Remarks about the check-in allocations.

Example

CodesharesType

object

Codeshare flights related to the main flight.

codesharesarray[string]

All flight names related to the main flight.

Example